For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList records
      • POSTCreate record
      • POSTBulk delete records
      • POSTBulk edit records
      • GETExport records as CSV
      • GETGet field values
      • POSTPreview record filter
      • GETDiscover record schema
      • POSTUpload CSV records
      • GETGet record details
      • PUTUpdate record
      • DELDelete record
      • GETGet record costs
      • GETGet record results
      • DELDelete record result
      • GETGet record step results
Dashboard
LogoLogo
Runtype APIRecords

Delete record

DELETE
/v1/records/:id
DELETE
/v1/records/:id
$curl -X DELETE https://api.runtype.com/v1/records/id \
> -H "Authorization: <apiKey>"
Delete a record by ID.
Was this page helpful?
Previous

Get record costs

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Record deleted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error